Create a goalAsk AIpost https://app.asana.com/api/1.0/goalsCreates a new goal in a workspace or team. Returns the full record of the newly created goal.Query Paramsopt_fieldsarray of stringsThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.opt_fieldsADD stringopt_prettybooleanProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.truetruefalseBody ParamsThe goal to create.dataobjectA generic Asana Resource, containing a globally unique identifier.data objectResponses 201Successfully created a new goal. 400This usually occurs because of a missing or malformed parameter. Check the documentation and the syntax of your request and try again. 401A valid authentication token was not provided with the request, so the API could not associate a user with the request. 402The request was valid, but the queried object or object mutation specified in the request is above your current premium level. 403The authentication and request syntax was valid but the server is refusing to complete the request. This can happen if you try to read or write to objects or properties that the user does not have access to. 404Either the request method and path supplied do not specify a known action in the API, or the object specified by the request does not exist. 500There was a problem on Asana’s end. In the event of a server error the response body should contain an error phrase. These phrases can be used by Asana support to quickly look up the incident that caused the server error. Some errors are due to server load, and will not supply an error phrase.Updated 7 months ago